Bug 5582 - mars-nwe-0.99pl17 crashes due overflow patch
mars-nwe-0.99pl17 crashes due overflow patch
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mars-nwe (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
: 6460 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-05 10:35 EDT by paluch
Modified: 2014-03-16 22:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-22 12:01:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paluch 1999-10-05 10:35:40 EDT
After updating to mars-nwe-0.99pl17-4.i386.rpm that includes
buffer overflow patch - mars crashes very early in nwconn.
Here is dump
using strace attached to nwconn pid pid:
lseek(5, 0, SEEK_CUR)                   = 2048
getdents(5, 0 1208
...
/* 52 entries */, 3933) = 1208
stat("/home/novell/mars_nwe/sys//public/syscon.exe",
{st_mode=030655, st_size=0,
 ...}) = 0
--- SIGSEGV (Segmentation fault) ---

ncpconn died...

This occured after attempt to run syscon.exe, but it is not
syscon specific. The connection terminates very soon when
attemted to read any file...

Using the same source without mars_nwe-buffer.patch
everything works well.
Comment 1 Bill Nottingham 1999-10-18 09:37:59 EDT
Does the latest mars-nwe package from Raw Hide
(0.99pl17-5) work better for you?

------- Additional Comments From   10/27/99 10:53 -------
Sorry, but 0.99pl17-5 still crashes. Usually I'm able to
list ~ directory, but it crashes when changing working directory.
Also, all marses generate some suspicious messages, like
write_wdata:Invalid argument to NWBIND
but they seems to harmless (seen on unpatched mars, that works well)
Comment 2 Bill Nottingham 1999-10-28 11:27:59 EDT
*** Bug 6460 has been marked as a duplicate of this bug. ***

with the latest fix of mars-nwe (99-pl17-4, sept 13 and 15
date; or 99-pl17-0-5-2 for redhat 5.2), access to the
bindery (specifically, trustee rights) and permissions when
browsing the server drives via a netware client (both novell
client 32 for win95 and the ms win95 client) are screwed up.

when using syscon to access the bindery, the workstation
hangs when trying to edit trustee rights.  during this time,
the server issues the following message to the console:

10.27,20:01:06  NWC!   9: PANIC!!!
10.27,20:01:06  NWC!   9: !!!SIG_SEGV!!!
                at PID=1333, ncp_sequence=9

this message appears repetitively until the workstation
syscon process is terminated.

I back-graded to 99-pl17-1 and 99-pl17-3 and things were ok!

I am running RH 5.2.
Please let me know what you think!

Note You need to log in before you can comment on or make changes to this bug.